/// <reference types="codemirror" />
import Movie, { MovieOptions } from './movie';
import { Scene } from './types';
declare type ScenarioFactory = (scene: typeof import('./scene')) => Scene[];
export default function movie(editor: CodeMirror.Editor, factory: ScenarioFactory, options?: Partial<MovieOptions>): Movie;
export {};
